/*

sidisc.h - MTX Silicon Disc routines

Sectors are always 128 bytes in size.
drive in 0..3
sector in 0..65535 (or 16777215 if huge Sidiscs)
count in 0..255, 0 means 256

*/

#ifndef SIDISC_H
#define	SIDISC_H

extern int sidcheck(unsigned drive);
extern int sidread(unsigned drive, unsigned long sector, unsigned count, unsigned char *dest);
extern int sidwrite(unsigned drive, unsigned long sector, unsigned count, const unsigned char *dest);

#endif
